Subject: Re: bug#70196: 30.0.50; sh-script-tests fails

From: Michael Albinus <[email-masked]>
Date: Fri, 05 Apr 2024 19:49:29 +0200

Version: 30.1

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> Can you step through shell-script-mode and tell me why not?  I thought
> it calls sh-set-shell, but with shell it gets from the environment and
> such likes, so the idea was to force it to use /bin/sh.  But I
> obviously missed something.

I went through shell-script-mode, but honestly, the machinery is too
complex for my simple purpose, and I don't want to investigate too much
time.

So I have pushed another patch, which is more simple (checking for
sh-indent-supported-here), and which fixes the problem.

Pushed to master, and closing the bug.

Best regards, Michael.